package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcArea;
import org.dromara.system.domain.vo.TblDzbcAreaVo;
import org.dromara.system.domain.bo.TblDzbcAreaBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-区域Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcAreaService {

    /**
     * 查询定制班车-区域
     */
    TblDzbcAreaVo queryById(Long id);

    /**
     * 查询定制班车-区域列表
     */
    TableDataInfo<TblDzbcAreaVo> queryPageList(TblDzbcAreaBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-区域列表
     */
    List<TblDzbcAreaVo> queryList(TblDzbcAreaBo bo);

    /**
     * 新增定制班车-区域
     */
    Boolean insertByBo(TblDzbcAreaBo bo);

    /**
     * 修改定制班车-区域
     */
    Boolean updateByBo(TblDzbcAreaBo bo);

    /**
     * 校验并批量删除定制班车-区域信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
